# WOK
TKWOK
WOKernel

# WOKernel_BaseEntity Class Reference

Common WOKernel Base class
.

`#include <WOKernel_BaseEntity.hxx>`

Inheritance diagram for WOKernel_BaseEntity:

[legend]

## Public Member Functions

Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
| change name of Entity
const Handle_TCollection_HAsciiString & | Name () const
| get Name of Entity
const Handle_TCollection_HAsciiString & | UserPathName () const
const Handle_TCollection_HAsciiString & | FullName () const
Standard_EXPORT void | SetFullName (const Handle(TCollection_HAsciiString)&afullname)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | GetUniqueName () const =0
Standard_EXPORT void | SetNesting (const Handle(WOKernel_Entity)&anesting)
| change Nesting Entity of current Entity
const Handle_TCollection_HAsciiString & | Nesting () const
| get Name of nesting Entity
Standard_EXPORT void | SetSession (const Handle(WOKernel_Session)&asession)
| change session Of Entity
Handle_WOKernel_Session | Session () const
| get pointer to current Session
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKernel_BaseEntity (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Entity)&anesting)
| Initialize a WOKernel BaseEntity .

## Protected Attributes

Handle_TCollection_HAsciiString | myfullname

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_TCollection_HAsciiString | mynestingentity
WOKernel_PSession | mysession

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_BaseEntity::WOKernel_BaseEntity | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Entity)& | anesting
| ) | `[protected]`

## Member Function Documentation

const Handle_TCollection_HAsciiString& WOKernel_BaseEntity::FullName | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_BaseEntity::GetUniqueName | ( |  | ) | const`[pure virtual]`

| Implemented in WOKernel_Entity, and WOKernel_File.

Standard_EXPORT const WOKernel_BaseEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKernel_DevUnit, WOKernel_Entity, WOKernel_Factory, WOKernel_File, WOKernel_Parcel, WOKernel_Session, WOKernel_UnitNesting, WOKernel_Warehouse, WOKernel_Workbench, and WOKernel_Workshop.

const Handle_TCollection_HAsciiString& WOKernel_BaseEntity::Name | ( |  | ) | const

const Handle_TCollection_HAsciiString& WOKernel_BaseEntity::Nesting | ( |  | ) | const

Handle_WOKernel_Session WOKernel_BaseEntity::Session | ( |  | ) | const

Standard_EXPORT void WOKernel_BaseEntity::SetFullName | ( | const Handle(TCollection_HAsciiString)& | afullname | ) |

Standard_EXPORT void WOKernel_BaseEntity::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKernel_BaseEntity::SetNesting | ( | const Handle(WOKernel_Entity)& | anesting | ) |

Standard_EXPORT void WOKernel_BaseEntity::SetSession | ( | const Handle(WOKernel_Session)& | asession | ) |

const Handle_TCollection_HAsciiString& WOKernel_BaseEntity::UserPathName | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_BaseEntity::myfullname `[protected]`

Handle_TCollection_HAsciiString WOKernel_BaseEntity::myname `[private]`

Handle_TCollection_HAsciiString WOKernel_BaseEntity::mynestingentity `[private]`

WOKernel_PSession WOKernel_BaseEntity::mysession `[private]`

The documentation for this class was generated from the following file:

- WOKernel_BaseEntity.hxx